# sitelib for noarch packages
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:		autokey
Version:	0.90.4
Release:	2%{?dist}
Summary:	Desktop automation utility 


Group:		Applications/Productivity
License:	GPLv3
URL:		http://autokey.googlecode.com
Source0:	http://autokey.googlecode.com/files/%{name}-%{version}.tar.gz 


BuildArch:	noarch 
BuildRequires:	python-xlib,notify-python,pygtk2,pygtk2-libglade,desktop-file-utils
Requires:	pygtksourceview,python-simplejson,python-inotify
Provides:	autokey = %{version}-%{release}
Provides:	autokey-common = %{version}-%{release} 
Provides:	autokey-gtk = %{version}-%{release} 
Obsoletes:	autokey <= 0.71.3-4


%description
AutoKey is a desktop automation utility for Linux and X11. It allows 
the automation of virtually any task by responding to typed abbreviations 
and hot keys. It offers a full-featured GUI that makes it highly 
accessible for novices, as well as a scripting interface offering 
the full flexibility and power of the Python language.

%package common
Summary:	Desktop automation utility - common data	
Group:		Applications/Productivity
Requires:	python-simplejson
Requires:	python-inotify
Requires:	python-xlib
Requires:	wmctrl
Provides:	autokey = %{version}-%{release}


%description common
This package contains the common data shared between the various front ends.


%package gtk
Summary:	AutoKey GTK+ front end
Group:		Applications/Productivity
Requires:	pygtksourceview
Requires:	pygtk2
Requires:	notify-python
Requires:	zenity
Requires:	autokey-common = %{version}-%{release}
Provides:	autokey = %{version}-%{release}
%description gtk
This package contains the GTK+ front end for autokey


%package qt
Summary:	AutoKey QT front end
Group:		Applications/Productivity
Requires:	qscintilla-python
Requires:	PyKDE4
Requires:	notify-python
Requires:	autokey-common = %{version}-%{release}
%{?_qt4_version:Requires: qt4 >= %{_qt4_version}}
Provides:	autokey = %{version}-%{release}
%description qt
This package contains the QT front end for autokey


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# remove shebang from python libraries
for lib in $(find %{buildroot}%{python_sitelib}/autokey/ -name "*.py"); do
 sed '/\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%post gtk
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun gtk
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans gtk
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%post qt
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun qt
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans qt
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%files common
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS README
%dir %{python_sitelib}/autokey
%{python_sitelib}/autokey/*.py*
%exclude %{python_sitelib}/autokey/gtkapp.py*
%{python_sitelib}/autokey-*.egg-info
%{_datadir}/icons/hicolor/scalable/apps/autokey-status*.svg
%{_datadir}/icons/hicolor/scalable/apps/autokey.png
%{_datadir}/icons/ubuntu-mono-dark/apps/*
%{_datadir}/icons/ubuntu-mono-light/apps/*
%{_datadir}/icons/Humanity/scalable/apps/*.svg
%{_bindir}/autokey-run
%{_mandir}/man1/autokey-run.1*

%files gtk
%defattr(-,root,root)
%{_bindir}/autokey-gtk
%{python_sitelib}/autokey/gtkapp.py*
%{python_sitelib}/autokey/gtkui/
%{_datadir}/applications/autokey-gtk.desktop
%{_datadir}/icons/hicolor/scalable/apps/autokey.svg
%{_mandir}/man1/autokey-gtk.1*

%files qt
%defattr(-,root,root)
%{_bindir}/autokey-qt
%{python_sitelib}/autokey/qtapp.py*
%{python_sitelib}/autokey/qtui/
%{_datadir}/kde4/apps/autokey/autokeyui.rc
%{_datadir}/applications/autokey-qt.desktop
%{_datadir}/icons/hicolor/scalable/apps/autokey.png
%{_mandir}/man1/autokey-qt.1*


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.90.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 17 2012 Raghu Udiyar <raghusiddarth@gmail.com> 0.90.4-1
- Update to upstream 0.90-4 release
- Qt interface is back with major updates to both frontends
- Back to the old split package structure

* Tue Jan 10 2012 Matěj Cepl <mcepl@redhat.com> 0.81.4-1
- Upgrade to the latest upstream package.

* Wed Nov 22 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.81.0-2
- Add autokey-run files to the package

* Wed Nov 22 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.81.0-1
- Update to upstream 0.81.0 release
- Changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?r=408

* Wed Oct 26 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.80.3-1
- Update to upstream 0.80.3 release
- Changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?spec=svn379&r=379

* Sat Oct 8 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.80.2-1
- Update to upstream 0.80.2 release
- Qt interface deprecated and removed
- Change package structure and remove qt subpackage/files
- Updated application icon
- Full changelog : http://code.google.com/p/autokey/source/browse/trunk/debian/changelog?spec=svn376&r=376

* Thu Jul 21 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-4
- Update to upstream 0.71.3-2 release
- Source tarball now extracts to "autokey-version" instead of "build" directory
- The README file now explicitly mentions the licence
- Drop defattr from the spec since recent RPM makes it redundant

* Fri Jul 15 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-3
- Add build requirement for desktop-file-utils
- Require pygtksourceview for gtk frontend
- Require qscintilla-python for qt frontend

* Wed May 25 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-2
- Improve spec readability

* Tue Apr 19 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.3-1
- Update to upstream 0.71.3 release

* Sun Mar 13 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-6
- Add desktop-file-validate

* Sun Mar 06 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-5
- Remove Python-xlib dependency
- Add doc/scripting to docs

* Fri Mar 04 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-4
- Remove deprecated daemon, see : http://code.google.com/p/autokey/issues/detail?id=106

* Wed Feb 28 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-3
- Add script to remove shebang from python libraries
- Remove default start from initscript
- Add patch to use lockfile in initscript

* Wed Feb 02 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-2
- Add postun scriptlet to handle upgrades
- Set autokey service to start only in runlevel 5

* Sat Jan 30 2011 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.2-1
- Update to upstream 0.71.2 release
- Add COPYING file to docs
- Update init script to match upstream

* Sat Dec 18 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.1-1
- Update to upstream 0.71.1 release

* Fri Oct 01 2010 Raghu Udiyar <raghusiddarth@gmail.com> 0.71.0-1
- Initial version of the package
